<div class="row col-xs-12">
    <h3>Persons</h3>

    <div class="panel panel-default">

        <div class="panel-heading">
            <div class="form-inline" style="float: right;">
                <label for="limit" class="fa fa-hashtag"/>
                <input id="limit" type="number" class="form-control" style="width: 5em;" ng-model="ctrl.limit" ng-change="ctrl.refreshData()"/>
                <label for="search" class="fa fa-search"/>
                <input id="search" type="text" class="form-control" ng-model="ctrl.search" ng-change="ctrl.refreshData()"/>
            </div>
            <p>Objects: <span ng-bind="ctrl.selected"></span> of <span ng-bind="ctrl.count"></span></p>
        </div>

        <div class="panel-body">
            <table class="table table-hover">
                <tr>
                    <th width="1%"><button class="btn btn-primary fa fa-plus" ng-click="ctrl.editDialog(-1)"/></th><th>First name</th><th>Last name</th><th>Login</th><th>Role</th>
                </tr>
                <tr ng-repeat="person in ctrl.persons" ng-click="ctrl.editDialog($index, person._id)">
                    <td style="text-align: right;" ng-bind="$index+1"></td>
                    <td ng-bind="person.firstName"></td>
                    <td ng-bind="person.lastName"></td>
                    <td ng-bind="person.login"></td>
                    <td ng-bind="ctrl.rolesString(person.role)"></td>
                </tr>
            </table>
        </div>

    </div>
</div>